
Summary: A note taking and note management application
Name:    rekollect
Version: 0.3.2
Release: 10%{?dist}

Group:   Applications/Productivity
License: GPLv2+
URL:     http://sourceforge.net/projects/rekollect/
Source0: http://downloads.sourceforge.net/sourceforge/rekollect/rekollect-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs4-devel

%description
%{summary}.


%prep
%setup -q


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
 -DBUILD_SHARED_LIBS:BOOL=OFF \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde

# omit convenience lib from packaging (for now)
rm -f %{buildroot}%{_kde4_libdir}/lib*.a


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/rekollect.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :


%clean
rm -rf %{buildroot} 


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_appsdir}/rekollect/
%{_kde4_bindir}/rekollect
%{_kde4_datadir}/applications/kde4/rekollect.desktop
%{_kde4_datadir}/config.kcfg/rekollect.kcfg
%{_kde4_iconsdir}/hicolor/*/*/*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.2-9
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Apr 07 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3.2-1
- rekollect-0.3.2

* Wed Mar 31 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-1
- rekollect-0.3.1

* Tue Mar 23 2010 Rex Dieter <rdieter@fedoraproject.org> 0.3-1
- rekollect-0.3


